View Issue Details

IDProjectCategoryView StatusLast Update
0001111bareos-core[All Projects] directorpublic2019-09-13 08:17
ReporteraroggeAssigned Toarogge 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version18.2.6 
Fixed in Version18.2.7 
Summary0001111: import/export and status slots commands don't see tapes loaded in drives anymore
DescriptionWhen we import a tape from an import/export slot using the import command and another tape is loaded in a drive, the import may move the tape into the slot occupied by a tape loaded in a drive.
Also issuing the "status slots" command does not show the volumes that are loaded in a drive.
Steps To Reproduce- attach a tape library
- load a tape using the mount command
- issue "status slots" ans notice the mounted tape does not show up anymore
Tagsvolume
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impactyes
bareos-18.2: actionfixed
bareos-17.2: impactno
bareos-17.2: actionnone
bareos-16.2: impactno
bareos-16.2: actionnone
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

arogge

arogge

2019-09-13 08:17

developer   ~0003570

The problem had been introduced by a refactoring and has been found and fixed during another refactoring.

Related Changesets

bareos: bareos-18.2 52ef6633

2019-05-24 12:01:05

franku

Ported: N/A

Details Diff
dird: fixed a wrong switch condition

- corrected a switch statement on a false struct variable
(has to be vol_list_t::slot_type, not vol_list_t::slot_status)
in file dird/sd_cmds.cc:485
Affected Issues
0001111
mod - core/src/dird/sd_cmds.cc Diff File

Issue History

Date Modified Username Field Change
2019-09-12 17:34 arogge New Issue
2019-09-12 17:34 arogge Status new => assigned
2019-09-12 17:34 arogge Assigned To => arogge
2019-09-12 17:34 arogge Tag Attached: volume
2019-09-12 17:52 arogge Changeset attached => bareos bareos-18.2 52ef6633
2019-09-13 08:17 arogge Status assigned => resolved
2019-09-13 08:17 arogge Resolution open => fixed
2019-09-13 08:17 arogge Fixed in Version => 18.2.7
2019-09-13 08:17 arogge bareos-master: impact => yes
2019-09-13 08:17 arogge bareos-master: action => fixed
2019-09-13 08:17 arogge bareos-18.2: impact => yes
2019-09-13 08:17 arogge bareos-18.2: action => fixed
2019-09-13 08:17 arogge bareos-17.2: impact => no
2019-09-13 08:17 arogge bareos-17.2: action => none
2019-09-13 08:17 arogge bareos-16.2: impact => no
2019-09-13 08:17 arogge bareos-16.2: action => none
2019-09-13 08:17 arogge Note Added: 0003570